Bug 120367 - rhythmbox crash after playing for "some" time on x86_64
rhythmbox crash after playing for "some" time on x86_64
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Depends On:
  Show dependency treegraph
Reported: 2004-04-07 22:38 EDT by Jeremy Katz
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-21 11:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2004-04-07 22:38:23 EDT
rhythmbox is crashing on me after playing for a little bit on x86_64.
 It's also while loading my library of lots of oggs, so it could also
be related to that.  I'm going to start it just importing all of my
oggs as I leave tonight and we'll see if it crashes then as well. 
Unfortunately, it's not getting caught by gnome_segv_helper and
running under gdb, I just got a generic thread error and then gdb
being unable to give me a backtrace.  

More information as I get it...   (which will probably include backing
down my version of gdb and trying with it also)
Comment 1 Colin Walters 2004-04-08 14:55:05 EDT
Is it a specific file, or any file?

Is there anything printed on stdout/stderr?

Are you sure you only have oggs in there?  No e.g. WMA?

Also, could you try running gst-launch directly like this:

gst-launch gnomevfssrc location=/path/to/my/musicfile.ogg ! spider !
volume ! audioscale ! audioconvert ! $(gconftool-2 -g
Comment 2 Jeremy Katz 2004-04-11 14:18:43 EDT
Nothing obvious... I've had it happen once or twice, not with the same
ogg.  And it's definitely all oggs.  I'll keep trying to get a better
backtrace (there's all kinds of stuff printed to stdout/stderr, but
most  of it is because the treeview is hidden when you're updating it :)
Comment 3 Colin Walters 2004-04-15 11:59:29 EDT
What kind of stuff is printed to stdout/stderr?  During normal
operation you shouldn't see anything.
Comment 4 Colin Walters 2004-04-21 11:02:27 EDT
Closing this for now per your comments in-person.  Please reopen if
you can reproduce.

Note You need to log in before you can comment on or make changes to this bug.